ZoneMinder Dependencies

Add any particular hints or tricks you have found to help with your ZoneMinder experience.
User avatar
davide
Posts: 78
Joined: Mon Mar 22, 2004 1:04 am
Location: Italy

ZoneMinder Dependencies

Postby davide » Fri Jul 09, 2004 11:35 am

I successfully built a LFS (LinuxFromScratch) Distro dedicated to ZoneMinder, so I post the list of the packages I had to install to get it working as I think it could be usefull to check for dependencies:

Base System: see Linux From Scratch Book
http://linuxfromscratch.mirror.ac.uk/lfs/view/stable/

Additional required packages:
MySQL
Apache
Php

Perl Modules required:
Archive::Zip
DBI
DBD::mysql
MIME::Entity
LWP::UserAgent
Date::Manip
(to be loaded via:
# perl -MCPAN -e shell
# install <moduleName>)

Optional packages:
ffmpeg

I will try to keep it updated.

Did I miss something?

User avatar
zoneminder
Site Admin
Posts: 5220
Joined: Wed Jul 09, 2003 2:07 pm
Location: Bristol, UK
Contact:

Postby zoneminder » Fri Jul 09, 2004 4:21 pm

The only one that comes to mind immediately is X10::ActiveHome if X10 is enabled, so it would be optional.

I'll see if i can think of any others. Thanks for doing this by the way.

Phil,

User avatar
davide
Posts: 78
Joined: Mon Mar 22, 2004 1:04 am
Location: Italy

Postby davide » Mon Jul 19, 2004 10:35 am

nugget in this post lists other perl modules:
http://www.zoneminder.com/forums/viewtopic.php?t=3578
this should be the complete list:
DBI, DBD::mysql, Compress::zlib, Archive::Zip, IO::Stringy , Mail::Field, Mail::Header, Mail::Internet, Unicode::Map, Unicode::String, MIME::Tools, IO::Wrap, Date::Manip, X10::ActiveHome

User avatar
cordel
Posts: 5210
Joined: Fri Mar 05, 2004 4:47 pm
Location: /USA/Washington/Seattle
Contact:

Postby cordel » Sun Jul 03, 2005 9:27 pm

Here is a more compleate list of dependancies.
Requires:
/bin/sh
/usr/bin/perl
httpd
libjpeg.a (libjpeg-devel )
libjpeg.so.62
libpcre.so.0 (pcre-devel )
libcrypt.a (glibc-devel)
libc.so.6
libc.so.6(GLIBC_2.0)
libc.so.6(GLIBC_2.1)
libc.so.6(GLIBC_2.1.3)
libc.so.6(GLIBC_2.2)
libcrypto.so.4 (openssl )
openssl/md5.h (openssl )
libdl.so.2 (GLIBC_2.3.5)
libgcc_s.so.1
libgcc_s.so.1(GCC_3.0)
libm.so.6
libm.so.6(GLIBC_2.0)
libm.so.6(GLIBC_2.1)
libstdc++.so.6
libstdc++.so.6(CXXABI_1.3)
libstdc++.so.6(GLIBCXX_3.4)
libz.so.1 (zlib)
mysql
libmysqlclient.so (mysql-devel)
pcre
perl
perl(DBI)
perl(Data::Dumper)
perl(Date::Manip)
perl(Device::SerialPort)
perl(Fcntl)
perl(Getopt::Long)
perl(IO::Handle)
perl(LWP::UserAgent)
perl(POSIX)
perl(Socket)
perl(Time::HiRes)
perl(bytes)
perl(constant)
perl(strict)
perl-IO-stringy(IO::Stringy)
perl-MIME-tools(MIME::Tools)
perl-MailTools(Mail::Tools)
perl-TimeDate(Time::Date)
perl-Unicode-Map
perl-Unicode-String
perl-DBD-mysql(DBD::Mysql)
perl-Compress-zlib
perl-Archive-Zip(Archive::Zip)
perl-Mail-Field
perl-Mail-Header
perl-Mail-Internet
perl-IO-Wrap
php
php-mysql

This list does not include the requirments for ffmpeg ffmpeg-devel (libavcodec.so libavformat.so)
(lame, libmp3lame, etc...) or X10 (perl-serial-device, perl-X10(X10::ActiveHome),etc...)
If it's not everything it is close.
Cheers,
Cordel
Last edited by cordel on Mon Feb 13, 2006 10:44 am, edited 4 times in total.

User avatar
zoneminder
Site Admin
Posts: 5220
Joined: Wed Jul 09, 2003 2:07 pm
Location: Bristol, UK
Contact:

Postby zoneminder » Wed Jul 06, 2005 2:45 pm

This is useful, I'll try and make space for it on one of the other pages as well.

Phil

kristof.p
Posts: 6
Joined: Tue Sep 13, 2005 9:24 am

Postby kristof.p » Tue Sep 13, 2005 9:30 am

cordel wrote:Here is a more compleate list of dependancies.
Requires:
[..]
perl-Unicode-Map
perl-Unicode-String
[..]


My list looks similiar except perl-Unicode-*.
Where from this dependency come?

User avatar
cordel
Posts: 5210
Joined: Fri Mar 05, 2004 4:47 pm
Location: /USA/Washington/Seattle
Contact:

Postby cordel » Wed Nov 23, 2005 4:28 pm

If I remember those were required by Mail-tools or MIME-tools or posibly for X10 though I am sure it was one of the first two.
Regards,
Cordel

toratoza
Posts: 1
Joined: Fri Mar 10, 2006 9:33 am

Postby toratoza » Fri Mar 10, 2006 9:43 am

cordel wrote:Here is a more compleate list of dependancies.
Requires:
/bin/sh
/usr/bin/perl
httpd
libjpeg.a (libjpeg-devel )
libjpeg.so.62
libpcre.so.0 (pcre-devel )
libcrypt.a (glibc-devel)
libc.so.6
libc.so.6(GLIBC_2.0)
libc.so.6(GLIBC_2.1)
libc.so.6(GLIBC_2.1.3)
libc.so.6(GLIBC_2.2)
libcrypto.so.4 (openssl )
openssl/md5.h (openssl )
libdl.so.2 (GLIBC_2.3.5)
libgcc_s.so.1
libgcc_s.so.1(GCC_3.0)
libm.so.6
libm.so.6(GLIBC_2.0)
libm.so.6(GLIBC_2.1)
libstdc++.so.6
libstdc++.so.6(CXXABI_1.3)
libstdc++.so.6(GLIBCXX_3.4)
libz.so.1 (zlib)
mysql
libmysqlclient.so (mysql-devel)
pcre
perl
perl(DBI)
perl(Data::Dumper)
perl(Date::Manip)
perl(Device::SerialPort)
perl(Fcntl)
perl(Getopt::Long)
perl(IO::Handle)
perl(LWP::UserAgent)
perl(POSIX)
perl(Socket)
perl(Time::HiRes)
perl(bytes)
perl(constant)
perl(strict)
perl-IO-stringy(IO::Stringy)
perl-MIME-tools(MIME::Tools)
perl-MailTools(Mail::Tools)
perl-TimeDate(Time::Date)
perl-Unicode-Map
perl-Unicode-String
perl-DBD-mysql(DBD::Mysql)
perl-Compress-zlib
perl-Archive-Zip(Archive::Zip)
perl-Mail-Field
perl-Mail-Header
perl-Mail-Internet
perl-IO-Wrap
php
php-mysql

This list does not include the requirments for ffmpeg ffmpeg-devel (libavcodec.so libavformat.so)
(lame, libmp3lame, etc...) or X10 (perl-serial-device, perl-X10(X10::ActiveHome),etc...)
If it's not everything it is close.
Cheers,
Cordel


Hi,

How can I check if I got all the above dependencies correctly install for ZM???
Is there a simple command to use? I am running Ubuntu 5.10.

TIA

jameswilson
Posts: 5110
Joined: Wed Jun 08, 2005 8:07 pm
Location: Midlands UK
Contact:

Postby jameswilson » Sat Mar 11, 2006 2:36 am

Sorry to add nothing but i have only used the rpm's. If your building from source wont it fail and say why?
James Wilson

Disclaimer: The above is pure theory and may work on a good day with the wind behind it. etc etc.
http://www.securitywarehouse.co.uk

mikehoskins
Posts: 1
Joined: Tue May 06, 2008 3:49 am

Another Perl Module is required

Postby mikehoskins » Tue May 06, 2008 3:51 am

I can't believe this wasn't on my system, but you need Module::Load.

You can get it here:
http://search.cpan.org/dist/Module-Load/


Return to “ZoneMinder Hints & Tips”

Who is online

Users browsing this forum: No registered users and 0 guests